import { BackgroundCircle }  from './BackgroundCircle';
import { Eyes }  from './Eyes';
import { Mouth }  from './Mouth';
import { FaceContainer } from './FaceContainer';

export const Face = ({width,height,centerX,centerY,scaleValue, strokeWidth,eyeOffsetX,eyeOffsetY,eyeRadius,mouthRadius,mouthWidth})=>(

	<FaceContainer 
    	width={width} 
      height={height}
      centerX={centerX}
      centerY={centerY}
      scaleValue={scaleValue}>

      <BackgroundCircle radius={centerY - strokeWidth / 2} 
        strokeWidth={strokeWidth} >
      </BackgroundCircle>

      <Eyes eyeOffsetX={eyeOffsetX} 
        eyeOffsetY={eyeOffsetY} 
        eyeRadius={eyeRadius}> 
      </Eyes>        

      <Mouth mouthRadius = {mouthRadius} mouthWidth = {mouthWidth}></Mouth>
      
    </FaceContainer>

);
 