import React from 'react';
import ReactDOM from 'react-dom';
import { range } from 'd3';
import { Face } from './Face';


const width = 166;
const height = 166;

const array = range(5);

const App = () => array.map(()=>(
    <Face
      width = {width}
      height = {height}
      centerX = {width / 2}
			centerY = {height / 2}
      scaleValue = {1 * Math.random()}
			strokeWidth = {20}
			eyeOffsetX = {30}
			eyeOffsetY = {30}
			eyeRadius = {10}
			mouthWidth = {10}
			mouthRadius = {40}>
  </Face>));

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);